import json
import requests
from api_auth import APICredentials, APIParams

class GetAllDraftClips:
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        """
        Get all drafts of video clips.
        """
        self._get_all_drafts()

    def _get_all_drafts(self):
        url = "{}{}".format(self.host, "/api/v4/clipping_draft")

        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({})
        )

        print(response.json())

GetAllDraftClips().run()
